CXXFLAGS += $(RUBY_CXXFLAGS)

INCLUDES = -I$(top_srcdir)/smoke $(all_includes) -I$(RUBY_ARCHDIR) $(RUBY_CFLAGS)

noinst_HEADERS = qtruby.h marshall.h smokeruby.h extconf.rb 

noinst_LTLIBRARIES = libtqtrubyinternal.la
libtqtrubyinternal_la_SOURCES = Qt.cpp handlers.cpp 
libtqtrubyinternal_la_METASOURCES = AUTO

rubylibdir = $(RUBY_ARCHDIR)
rubylib_LTLIBRARIES = qtruby.la
qtruby_la_SOURCES = 
qtruby_la_LDFLAGS = -module $(all_libraries) -version-info 0:0:0
qtruby_la_LIBADD = libtqtrubyinternal.la $(LIB_TQT) $(top_builddir)/smoke/tqt/libsmoketqt.la $(LIB_TDECORE) $(RUBY_LIBRUBYARG) -lstdc++

SUBDIRS = lib 
